> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a service identity

> Returns one service identity, if you may see it.



## OpenAPI

````yaml get /api/registry/identities/{identity_id}
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/registry/identities/{identity_id}:
    get:
      tags:
        - Service identities
      summary: Get a service identity
      description: Returns one service identity, if you may see it.
      operationId: get_identity_api_registry_identities__identity_id__get
      parameters:
        - name: identity_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: The service identity's ID.
            title: Identity Id
          description: The service identity's ID.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RunIdentityResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Conflict
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Content
        '502':
          description: Bad Gateway
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    RunIdentityResponse:
      properties:
        id:
          type: string
          title: Id
        slug:
          type: string
          title: Slug
        description:
          type: string
          title: Description
        roles:
          items:
            type: string
          type: array
          title: Roles
        allowed_users:
          items:
            type: string
          type: array
          title: Allowed Users
        allowed_roles:
          items:
            type: string
          type: array
          title: Allowed Roles
        enabled:
          type: boolean
          title: Enabled
        client_id:
          type: string
          title: Client Id
          description: The Keycloak client.
        service_account_name:
          type: string
          title: Service Account Name
          description: The name its runs act as in Trino, Ranger and the AI Router.
        schedules:
          type: integer
          title: Schedules
          description: Crew schedules set to run as it, enabled or not.
        can_use:
          type: boolean
          title: Can Use
          description: Whether you may set a schedule to run as it.
        created_by:
          type: string
          title: Created By
          description: Username of the admin who made it.
        created_at:
          type: string
          title: Created At
          description: ISO 8601, UTC.
        updated_at:
          type: string
          title: Updated At
          description: ISO 8601, UTC.
      type: object
      required:
        - id
        - slug
        - description
        - roles
        - allowed_users
        - allowed_roles
        - enabled
        - client_id
        - service_account_name
        - schedules
        - can_use
        - created_by
        - created_at
        - updated_at
      title: RunIdentityResponse
      description: A service identity.
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
          description: A brief description of the error that occurred.
        code:
          type: integer
          title: Code
          description: The HTTP status code associated with the error.
          default: 500
      type: object
      required:
        - error
      title: ErrorResponse
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.